<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpClient 4.2.3</title>
</head>
<body onload="setBrowserTitle('HttpClient 4.2.3: org.apache.http.impl.client.addsAcceptEncodingHeaderToUriRequestWithHandler');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 10:25:52 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestDecompressingHttpClient.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestDecompressingHttpClient_addsAcceptEncodingHeaderToUriRequestWithHandler_3pp.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../org/apache/http/impl/client/TestDecompressingHttpClient.html?line=179#src-179" >addsAcceptEncodingHeaderToUriRequestWithHandler</a>
    </td>
        <td class="graphPercent alignTop">
        0%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        15 Jan 10:24:07
    </td>
    <td class="graphPercent alignTop">
        0.0010    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">addsAcceptEncodingHeaderToUriRequestWithHandler</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.client.protocol.RequestAcceptEncoding</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/client/protocol/RequestAcceptEncoding.html?id=4813#RequestAcceptEncoding"             title="RequestAcceptEncoding" name="sl-45">org.apache.http.client.protocol.RequestAcceptEncoding</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.8</span>
            80%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="20% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="80% Covered" class="barPositive contribBarPositive" style="width: 80%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.DecompressingHttpClient</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html?id=4813#DecompressingHttpClient"             title="DecompressingHttpClient" name="sl-74">org.apache.http.impl.client.DecompressingHttpClient</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.46875</span>
            46.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="53.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="46.9% Covered" class="barPositive contribBarPositive" style="width: 46.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.client.methods.HttpGet</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/client/methods/HttpGet.html?id=4813#HttpGet"             title="HttpGet" name="sl-51">org.apache.http.client.methods.HttpGet</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.2</span>
            20%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="80% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="20% Covered" class="barPositive contribBarPositive" style="width: 20%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.RequestWrapper</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/client/RequestWrapper.html?id=4813#RequestWrapper"             title="RequestWrapper" name="sl-56">org.apache.http.impl.client.RequestWrapper</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.18571429</span>
            18.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="81.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="18.6% Covered" class="barPositive contribBarPositive" style="width: 18.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.client.protocol.ResponseContentEncoding</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/client/protocol/ResponseContentEncoding.html?id=4813#ResponseContentEncoding"             title="ResponseContentEncoding" name="sl-53">org.apache.http.client.protocol.ResponseContentEncoding</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.114285715</span>
            11.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="88.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="11.4% Covered" class="barPositive contribBarPositive" style="width: 11.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.client.utils.URIUtils</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/client/utils/URIUtils.html?id=4813#URIUtils"             title="URIUtils" name="sl-44">org.apache.http.client.utils.URIUtils</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.07653061</span>
            7.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="92.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="7.7% Covered" class="barPositive contribBarPositive" style="width: 7.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.client.methods.HttpRequestBase</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/client/methods/HttpRequestBase.html?id=4813#HttpRequestBase"             title="HttpRequestBase" name="sl-55">org.apache.http.client.methods.HttpRequestBase</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.023809524</span>
            2.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="97.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="2.4% Covered" class="barPositive contribBarPositive" style="width: 2.4%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 10:26:28 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
